## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://gitlab.com/megapixels-org/Megapixels
Version:        1.8.2
%global tag %{version}
%forgemeta

Name:           megapixels
Release:        %autorelease
Summary:        GTK4 camera application that knows how to deal with the media request api

License:        GPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc
BuildRequires:  meson

BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libfeedback-0.0)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(zbar)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(libjpeg)

BuildRequires:	/usr/bin/xvfb-run
BuildRequires:	/usr/bin/xauth

BuildRequires:	desktop-file-utils
BuildRequires:	libappstream-glib

Requires:       hicolor-icon-theme
# for postprocess.sh
Requires:       dcraw

%description
A GTK4 camera application that knows how to deal with the media request api.
It uses opengl to debayer the raw sensor data for the preview.

%prep
%forgeautosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.metainfo.xml

%files
%doc README.md
%license LICENSE
%{_bindir}/megapixels
%{_bindir}/megapixels-camera-test
%{_bindir}/megapixels-list-devices
%{_datadir}/applications/org.postmarketos.Megapixels.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.postmarketos.Megapixels.svg
%dir %{_datadir}/megapixels
%dir %{_datadir}/megapixels/config
%{_datadir}/megapixels/config/*.ini
%{_datadir}/megapixels/config/*.dcp
%{_datadir}/megapixels/postprocess.sh
%{_datadir}/metainfo/org.postmarketos.Megapixels.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.postmarketos.Megapixels.gschema.xml

%changelog
## START: Generated by rpmautospec
* Fri Aug 16 2024 Felix Wang <topazus@outlook.com> - 1.8.2-1
- 1.8.2

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Apr 27 2024 topazus <topazus@outlook.com> - 1.8.1-1
- rebase to 1.8.1; SPDX migration

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

%autochangelog

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Dec 04 2022 Torrey Sorensen <torbuntu@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0

* Thu Aug 25 2022 Torrey Sorensen <torbuntu@fedoraproject.org> - 1.5.2-1
- Update to 1.5.2

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 27 2022 Torrey Sorensen <torbuntu@fedoraproject.org> - 1.5.1-1
- Update to 1.5.1

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 13 2021 Torrey Sorensen <torbuntu@fedoraproject.org> - 1.4.3-1
- Update to 1.4.3

* Mon Dec 06 2021 Torrey Sorensen <torbuntu@fedoraproject.org> - 1.4.2-1
- Update to 1.4.2

* Fri Nov 12 2021 Torrey Sorensen <torbuntu@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Fri Sep 10 2021 Torrey Sorensen <torbuntu@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0

* Fri Jul 30 2021 Torrey Sorensen <torbuntu@fedoraproject.org> - 1.2.0-1
- Update to 1.2.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 23 2021 Torrey Sorensen <torbuntu@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0

* Tue May 04 2021 Torrey Sorensen <torbuntu@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Mon Mar 29 2021 Torrey Sorensen <torbuntu@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0

* Sun Feb 21 2021 Torrey Sorensen <torbuntu@fedoraproject.org> - 0.15.0-1
- Update to 0.15.0

* Mon Jan 11 2021 Torrey Sorensen <torbuntu@fedoraproject.org> - 0.14.0-1
- Update to 0.14.0

* Fri Jan 01 2021 Torrey Sorensen <torbuntu@fedoraproject.org> - 0.13.2-1
- Update to 0.13.2

* Tue Dec 15 2020 Torrey Sorensen <torbuntu@fedoraproject.org> - 0.13.1-2
- Adding license and README

* Thu Dec 10 2020 Torrey Sorensen <torbuntu@fedoraproject.org> - 0.13.1-1
- Update to 0.13.1

* Thu Dec 03 2020 Torrey Sorensen <torbuntu@fedoraproject.org> - 0.12.0-2
- Adding dependencies for postprocess.sh

* Sat Nov 14 2020 Torrey Sorensen <torbuntu@fedoraproject.org> - 0.12.0-1
- Initial packaging

## END: Generated by rpmautospec
